package com.chelvc.cloud.vehicle.api.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 动态类型
 * @ClassName: DynamicType
 * @Author: ygl
 * @Date: 2023/2/25 20:52
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum DynamicContentType {

    PURE_TEXT(1, "纯文本"),
    PHOTO(2, "照片"),
    VIDEO(3, "视频");

    private Integer value;

    private String desc;
}
