package com.chelvc.cloud.vehicle.api.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 动态查询类型
 * @ClassName: QueryDynamicType
 * @Author: ygl
 * @Date: 2023/08/08 15:47
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum DynamicType {

    //ATTENTION(1, "关注"),
    LATEST(2, "最新"),
    HOTTEST(3, "最热"),
    DISCOVER(4, "发现");

    private Integer value;

    private String desc;
}
