package com.chelvc.cloud.vehicle.api.dto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 确认单信息封装
 * Created by liude on 2018/8/30.
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class ConfirmOrderResultDTO implements Serializable {
    //包含优惠信息的购物车信息
    private List<OmsCartItemDTO> cartItemList;
    //用户收货地址列表
//    private List<UmsMemberReceiveAddress> memberReceiveAddressList;
    //用户可用优惠券列表
    private List<UserCouponDTO> couponHistoryDetailList;
    //积分使用规则
//    private UmsIntegrationConsumeSetting integrationConsumeSetting;
    //会员持有的积分
    private Integer memberIntegration;
    //计算的金额
    private CalcAmountDTO calcAmount;
}
