package com.chelvc.cloud.vehicle.api.dto;

import lombok.Data;

/**
 * 内容评价(点赞/踩)列视图对象
 *
 * @author igl
 * @date 2023-02-25
 */
@Data
public class DynamicEvaluateRecordDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识
     */
    private Long id;

    /**
     * 用户标识
     */
    private Long userId;

    /**
     * 操作类型：1-点赞；2-踩
     */
    private Integer operaterType;

    /**
     * 内容类型：1-动态；2-评论/回复
     */
    private Integer contentType;

    /**
     * 内容标识
     */
    private Long contentId;

}
