package com.chelvc.cloud.vehicle.api.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 新增资源
 * @ClassName: AddContentDynamicResourceDTO
 * @Author: ygl
 * @Date: 2023/2/25 20:38
 * @Version: 1.0
 */
@Data
public class AddDynamicResourceParam implements Serializable {

    private static final long serialVersionUID = 8052201507900179957L;
    /**
     * 文件标识
     */
    @NotNull(message = "文件标识不能为空")
    private String resourceKey;

    /**
     * 资源首帧
     */
    private String resourceFrame;

    /**
     * 显示顺序
     */
    @NotNull(message = "显示顺序不能为空")
    private Long sort;
}
