package com.chelvc.cloud.vehicle.api.param;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 邀请别人消费，邀请人数的不同抽成配置数据模型
 *
 * @author liude
 * @date 2023/12/16
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CommissionConfigPagingParam {

    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;

}
