package com.chelvc.cloud.vehicle.api.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 订单对象 oms_order
 * 
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class OmsOrderModifyParam implements Serializable
{
    private static final long serialVersionUID = 1L;

    //@ApiModelProperty("收货地址ID")
    private Long userReceiveAddressId;
    //@ApiModelProperty("优惠券ID")
    private Long couponId;
    //@ApiModelProperty("使用的积分数")
    private Integer useIntegration;
    //@ApiModelProperty("支付方式")
    private Integer payType;
    //@ApiModelProperty("被选中的购物车商品ID")
    private List<Long> cartIds;
}
