package com.chelvc.cloud.vehicle.api.param;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Description: 查询评论列表
 * @ClassName: QueryContentDynamicCommentDTO
 * @Author: ygl
 * @Date: 2023/2/26 16:48
 * @Version: 1.0
 */
@Data
public class QueryDynamicCommentParam {

    /**
     * 动态标识
     */
    @NotNull(message = "动态标识不能为空")
    private Long dynamicId;

    /**
     * 父级评论(0表示为根评论),默认为0
     */
    @NotNull(message = "参数不能为空")
    private Long parentId;

    /**
     * 用户id
     */
    private Long userId;
}
