package com.chelvc.cloud.vehicle.api.service;
import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.api.param.HotMerchantModifyParam;

import java.util.List;

/**
 * 热门搜索接口
 *
 * @author liude
 * @data 2023/12/31
 */
public interface HotMerchantService {

    /**
     * 新增热门搜索
     *
     * @param param 新增参数
     * @return 热门搜索主键
     */
    Long addHotMerchant(Long id);

    /**
     * 热门搜索商家
     * @return
     */
    List<MerchantDTO> listHotMerchant();


    /**
     * 猜你喜欢的商家
     * @return
     */
    List<MerchantDTO> likeMerchant();



}
