package com.chelvc.cloud.vehicle.api.service;
import com.chelvc.cloud.vehicle.api.dto.IncomeRecordDTO;
import com.chelvc.cloud.vehicle.api.param.IncomeRecordModifyParam;

import java.util.List;

/**
 * 收益记录接口
 *
 * @author liude
 * @data 2023/12/31
 */
public interface IncomeRecordService {

    /**
     * 新增收益记录
     *
     * @param param 新增参数
     * @return 收益记录主键
     */
    Long addIncomeRecord(IncomeRecordModifyParam param);

    /**
     * 查询用户收益
     * @return
     */
    List<IncomeRecordDTO> listIncomeRecord();

}
