package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.server.entity.DynamicEvaluateRecord;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

/**
 * 内容评价(点赞/踩)列Mapper接口
 *
 * @author igl
 * @date 2023-02-25
 */
@Mapper
@Repository
public interface DynamicEvaluateRecordMapper extends BaseMapper<DynamicEvaluateRecord> {

    @Delete("DELETE FROM dynamic_evaluate_record where id = #{id}")
    int deleteByRecordId(Long id);
}
