package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.server.entity.HotMerchant;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 热门搜索数据操作接口
 *
 * @author liude
 * @date 2023/12/19
 */
@Mapper
public interface HotMerchantMapper extends BaseMapper<HotMerchant> {
    /**
     * 热门搜索商家
     * @return
     */
    List<MerchantDTO> listHotMerchant();

    /**
     * 猜你喜欢的商家
     * @return
     */
    List<MerchantDTO> likeMerchant(Long userId);
}
