package com.chelvc.cloud.vehicle.server.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.api.dto.OmsOrderItemDTO;
import com.chelvc.cloud.vehicle.api.dto.OmsOrderItemExampleDTO;
import com.chelvc.cloud.vehicle.server.entity.OmsOrderItem;

/**
 * 订单中所包含的商品Service接口
 * 
 * @author liude
 * @date 2023-11-08
 */
public interface IOmsOrderItemService extends IService<OmsOrderItem>
{
    /**
     * 订单中添加商品
     * @param omsOrderItemList
     */
    void add(List<OmsOrderItem> omsOrderItemList);

    List<OmsOrderItem> selectByExample(OmsOrderItem omsOrderItem);

}
