package com.chelvc.cloud.vehicle.api.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 用户动态动作类型
 * @ClassName: ActionType
 * @Author: ygl
 * @Date: 2023/2/26 20:03
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum ActionType {

    ADD(1, "点"),
    CANCEL(2, "取消");

    private Integer value;

    private String desc;
}
