package com.chelvc.cloud.vehicle.api.constant;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: igl
 * @date: 2023/8/17 19:58
 */
@Getter
@AllArgsConstructor
public enum ExamineType {

  PASS(0, "通过"),
  REFUSE(1, "拒绝"),
  ;

  @EnumValue
  @JsonValue
  private Integer value;

  private String desc;
}
