package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class CalcAmountDTO implements Serializable {
    //订单商品总金额
    private BigDecimal totalAmount;
    //运费
    private BigDecimal freightAmount;
    //活动优惠
    private BigDecimal promotionAmount;
    //应付金额
    private BigDecimal payAmount;
}
