package com.chelvc.cloud.vehicle.api.dto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 热门搜索数据模型
 *
 * @author liude
 * @data 2023/12/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class HotMerchantDTO{

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 商家id
     */
    private String merchantId;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 创建人
     */
    private Long creator;
}
