package com.chelvc.cloud.vehicle.api.dto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 通知配置
 *
 * @author liude
 * @date 2023/12/06
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class NoticeDTO  {
    /**
     * 主键
     */
    private Long id;

    /**
     * 标题
     */
    private String title;

    /**
     * 正文
     */
    private String centent;

    /**
     * 通知对象
     */
    private String sendObject;

    /**
     * 状态
     */
    private String status;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 创建人
     */
    private Date creator;
    /**
     * 更新人
     */
    private Date updater;


}
