package com.chelvc.cloud.vehicle.api.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: igl
 * @date: 2023/8/15 20:38
 */
@Data
public class EditShieldDynamicParam implements Serializable {

  private static final long serialVersionUID = -7550836384389807900L;

  /**
   * 主键标识
   */
  @NotNull(message = "主键标识不能为空")
  private Long id;

  /**
   * 操作类型 0-正常；1-屏蔽
   */
  @NotNull(message = "操作类型不能为空")
  private Integer platformStatus;
}
