package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.cloud.vehicle.api.constant.ExamineType;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: igl
 * @date: 2023/8/15 20:38
 */
@Data
public class ExamineDynamicParam implements Serializable {

  private static final long serialVersionUID = -7550836384389807900L;

  /**
   * 主键标识
   */
  @NotNull(message = "主键标识不能为空")
  private Long id;

  /**
   * 操作类型 0-通过；1-拒绝
   */
  @NotNull(message = "请选择审核状态")
  private ExamineType examine;
}
