package com.chelvc.cloud.vehicle.api.service;


import com.chelvc.cloud.vehicle.api.dto.DynamicEvaluateRecordDTO;
import com.chelvc.cloud.vehicle.api.param.AddDynamicEvaluateRecordParam;

/**
 * 内容评价(点赞/踩)列Service接口
 *
 * @author igl
 * @date 2023-02-25
 */
public interface DynamicEvaluateRecordService {

    /**
     * 修改内容评价(点赞/踩)列
     */
    Boolean updateRecord(AddDynamicEvaluateRecordParam param, Long userId);

    DynamicEvaluateRecordDTO queryOperaterType(Long id, Long userId, Integer recordType);
}
