package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.api.dto.OmsCartItemExampleDTO;
import com.chelvc.cloud.vehicle.api.dto.OmsOrderItemExampleDTO;
import com.chelvc.cloud.vehicle.api.param.OmsCartItemModifyParam;
import com.chelvc.cloud.vehicle.server.entity.OmsCartItem;
import com.chelvc.cloud.vehicle.server.entity.OmsOrderItem;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 订单中所包含的商品Mapper接口
 * 
 * @author liude
 * @date 2023-11-08
 */
@Mapper
public interface OmsOrderItemMapper extends BaseMapper<OmsOrderItem>
{


    List<OmsOrderItem> selectByExample(OmsOrderItemExampleDTO example);

    int insert(OmsCartItem record);


    int updateByPrimaryKey(OmsCartItem record);
}
