package com.chelvc.cloud.vehicle.server.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.api.dto.OmsCartItemDTO;
import com.chelvc.cloud.vehicle.server.entity.OmsCartItem;

import java.util.List;

/**
 * 购物车Service接口
 * 
 * @author liude
 * @date 2023-11-08
 */
public interface OmsCartItemService extends IService<OmsCartItem>{

    /**
     * 获取包含促销活动信息的购物车列表
     */
    List<OmsCartItemDTO> listPromotion(List<Long> cartIds);

    /**
     * 批量删除购物车中的商品
     */
    void delete(List<Long> ids,Long userId);


}
